API Notes
kirin_v3_turbo_i2v supports only one input image.
kirin_v3_turbo_i2v does not support aspect_ratio, image_tail, last_frame_url, or last_frame_file_id.
Authentication
authorization string required
All APIs require authentication via Bearer Token.
Get API Key:
Visit API Key Management Page to get your API Key.
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
Parameters
model string required
Model ID to use for the request.
Value: kirin_v3_turbo_i2v
image string required
Input image used as the first frame reference.
Supports Base64 encoded image or image URL. Ensure image URLs are publicly accessible.
Image requirements:
Format: .jpg, .jpeg, .png
File size: Less than 10MB
Dimensions: Width and height at least 300px
prompt string
Video generation prompt. You can include positive and negative descriptions in the same prompt.
resolution string
Video output resolution.
Options: 720P, 1080P, 2K, 4K
Default: 720P
duration string
Generated video duration in seconds.
Options: 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15
Default: 5
sound string
Whether to generate sound with the video.
Options: on, off
Default: off
enhance_prompt boolean | string
Whether to enable prompt enhancement.
Options: true, false, on, off, enabled, disabled
element_list array
Subject reference list. Configure subject references with subject IDs from the subject library.
To create a subject, refer to: kirin_custom_elements
"element_list": [
{
"element_id": 123456
}
]
Polling
Since result generation takes time, you need to poll the task status after creating the task.
The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.
See the examples on the right for polling requests and responses.
Response Format
error object
Error information. Only present when status is failed.
code
stringError code.
error_message
stringDetailed error message.
output array
Generation results. Only present when status is completed.
content
arrayList of generated content.
type
stringResource type.
Value:
videourl
stringGenerated video URL.
duration
numberGenerated video duration in seconds.
jobId
stringRemote job ID.
usage object
Usage statistics. Only present when status is completed.
metadata object
Metadata information.
Error Codes
| Error Code | Description |
|---|---|
| 002011095 | Internal generation error |
| 002011096 | Result parsing error |
| 002011097 | HTTP error response |